Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleInspectorContext

    java.lang.Object
      com.ibm.able.editor.AbleInspectorContext

All Implemented Interfaces:
  java.io.Serializable

public class AbleInspectorContext
extends java.lang.Object
implements java.io.Serializable

This class is used to encapsulate the user-defined settings of an Inspector so that it can be saved and restored as part of the Editor Environment

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `beanId`
`jclass.chart.JCChart` | `chart`
`java.lang.Object` | `customViewData`
`int` | `dataType`
`java.awt.Point` | `location`
`java.lang.String` | `name`
`int` | `numColumns`
`int` | `numPoints`
`java.lang.Object[]` | `selectedArrays`
`protected static long` | `serialVersionUID`
`java.util.Vector` | `seriesData`
`java.awt.Dimension` | `size`
`int` | `stepsPerRefresh`
`int` | `textView`
`int` | `view`

Constructor Summary
`AbleInspectorContext()` Create an Inspector context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### beanId

    public java.lang.String beanId

### selectedArrays

    public java.lang.Object[] selectedArrays

### seriesData

    public java.util.Vector seriesData

### numPoints

    public int numPoints

### dataType

    public int dataType

### view

    public int view

### textView

    public int textView

### numColumns

    public int numColumns

### size

    public java.awt.Dimension size

### location

    public java.awt.Point location

### chart

    public jclass.chart.JCChart chart

### stepsPerRefresh

    public int stepsPerRefresh

### name

    public java.lang.String name

### customViewData

    public java.lang.Object customViewData

Constructor Detail

### AbleInspectorContext

    public AbleInspectorContext()

  Create an Inspector context.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005